Loading...

Extract Zipped Object

Description

This API allows you to extract a zipped object stored in a bucket. The Bucket is referred by its unique bucket name, and the required object is referred using its name.

Request Details

Request URL

POST

{api-domain}/baas/v1/project/{project_id}/bucket/object/zip-extract

copy

project_id
Numerical
The unique ID of the project

Query Parameters

bucket_name Alphanumeric
mandatory
object_key String
mandatory
Will contain the complete name of the required zipped object.
destination String
mandatory
Will contain the complete name of the destination path in the bucket where the extracted objects need to be stored.

Request Headers

Authorization: Zoho-oauthtoken {oauth_token}

Optional Headers

CATALYST-ORG: {org_id}

Environment: Development

Scope

ZohoCatalyst.buckets.objects.CREATE

Response Details

On successful execution, the response will contain the name of the zipped object, the complete path name that has stored the extracted objects, and the success message confirming the extract action.

Sample Request
copy

curl -X POST https://api.catalyst.zoho.com/baas/v1/project/10108000003823392/bucket/object/zip-extract?bucket_name=mybucketname&object_key=image2.png&destination=folder2/ -H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”

Sample Response
copy
{
"status": "success",
"data": {
    "object_key": "image2.png",
    "destination": "folder2",
    "message": "Zip extract scheduled",
    "task_id": "hh2odww2334nsodno24"
}
}
View more